/**
 * Parse a string of XML to a xast tree.
 *
 * @param {Uint8Array | string} value
 *   Serialized XML.
 * @returns {Root}
 *   xast root.
 */
export function fromXml(value: Uint8Array | string): Root;
export type XmlCdata = import('@rgrove/parse-xml').XmlCdata;
export type XmlComment = import('@rgrove/parse-xml').XmlComment;
export type XmlDeclaration = import('@rgrove/parse-xml').XmlDeclaration;
export type XmlError = import('@rgrove/parse-xml').XmlError;
export type XmlDocument = import('@rgrove/parse-xml').XmlDocument;
export type XmlDocumentType = import('@rgrove/parse-xml').XmlDocumentType;
export type XmlElement = import('@rgrove/parse-xml').XmlElement;
export type XmlProcessingInstruction = import('@rgrove/parse-xml').XmlProcessingInstruction;
export type XmlText = import('@rgrove/parse-xml').XmlText;
export type Location = import('vfile-location').Location;
export type Cdata = import('xast').Cdata;
export type Comment = import('xast').Comment;
export type Doctype = import('xast').Doctype;
export type Element = import('xast').Element;
export type Instruction = import('xast').Instruction;
export type Nodes = import('xast').Nodes;
export type Root = import('xast').Root;
export type RootContent = import('xast').RootContent;
export type Text = import('xast').Text;
/**
 * Nodes that occur in XML documents (`parse-xml`).
 */
export type XmlContent = XmlCdata | XmlComment | XmlDeclaration | XmlDocumentType | XmlElement | XmlProcessingInstruction | XmlText;
/**
 * Nodes that occur (`parse-xml`).
 */
export type XmlNode = XmlContent | XmlDocument;
/**
 * Info passed around.
 */
export type State = {
    /**
     *   Interface to translate between offsets and points.
     */
    location: Location;
};
